Page MenuHomePhabricator

Tracking blocks: Log hard edits that fail via API or page rejection
Closed, ResolvedPublic3 Story Points

Description

This is a child of T189724: 👩‍👧 Track how often blocked users attempt to edit

Requirements

  • Add tracking when an edit fails because it has been rejected by the API or page due to a user being blocks.
  • The data should be made available in a Grafana graph, displayed hourly.
  • The circumstances of how this data is logged is documented, including any known limitations.
  • No personally identifyable information (username, IP, block ID, etc.) should be collected.

Event Timeline

TBolliger triaged this task as Low priority.Aug 10 2018, 8:11 PM
TBolliger created this task.
TBolliger moved this task from Untriaged to Cards ready for development on the Anti-Harassment board.
TBolliger updated the task description. (Show Details)Aug 10 2018, 8:16 PM
dbarratt changed the edit policy from "Custom Policy" to "All Users".Nov 8 2018, 8:55 PM
dmaza claimed this task.Nov 8 2018, 8:55 PM
dmaza moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 33) board.
TBolliger added a comment.EditedNov 9 2018, 8:16 PM

Something to keep in mind, which I hope doesn't jeopardize our strategy:

The 'you are blocked' experience is similar to the 'page is protected' experience:

'You are blocked''Page is protected'

Change 474020 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] Add tracking for block errors on create/edit actions

https://gerrit.wikimedia.org/r/474020

@TBolliger Is this limited to create/edit actions or should it include any action on a page that invokes a block (i.e. rollback)?

@TBolliger Is this limited to create/edit actions or should it include any action on a page that invokes a block (i.e. rollback)?

At this moment in time, I prefer we close these tasks with whatever is built so we can 1) start capturing the data and 2) get back to partial blocks. In general there's no real wrong way to gather the data we're collecting because whatever we get we will annotate and we label appropriately. These tasks are meant to be a quick ballpark check of something feasible and reasonable to measure.

Ideally these checks would only show for page edits for our primary supported editing workflows (wikitext and visual on desktop and mobile webs, with API to catch the rest) but if we're measuring anything else in addition (e.g. attempts to rename a page or create an account, etc.) then that's OK too, no need to change anything.

Change 476409 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@wmf/1.33.0-wmf.6] Add stats for block errors on create/edit actions

https://gerrit.wikimedia.org/r/476409

Change 474020 merged by jenkins-bot:
[mediawiki/core@master] Add stats for block errors on create/edit actions

https://gerrit.wikimedia.org/r/474020

Change 476409 merged by Thcipriani:
[mediawiki/core@wmf/1.33.0-wmf.6] Add stats for block errors on create/edit actions

https://gerrit.wikimedia.org/r/476409

Mentioned in SAL (#wikimedia-operations) [2018-11-30T00:39:24Z] <thcipriani@deploy1001> Synchronized php-1.33.0-wmf.6/includes/api/ApiBase.php: SWAT: [[gerrit:476409|Add stats for block errors on create/edit actions]] T201717 (duration: 00m 48s)

dmaza closed this task as Resolved.Dec 5 2018, 8:00 PM